Name: tcl
Version: 8.0
Release: 1
Group: Development/Languages/Tcl
Summary: Tool Command Language version 8.0b2, with shared libraries
Copyright: BSD
Source: ftp://ftp.sunlabs.com/pub/tcl/tcl8.0.tar.gz
Patch: tcl-8.0-soname.patch
BuildRoot: /tmp/tcl-root
Packager: Daniel Schepler <dks2@cec.wustl.edu>
URL: http://sunscript.sun.com/
Icon: tklogo64.gif

%define TCL_MAJOR_VERSION 8.0

%description
TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical applications
because of the TK widget set which is closely tied to it.

%package devel
Group: Development/Languages/Tcl
Summary: Tool Command Language static libraries and header files

%description devel
Libraries and header files for developing C programs with TCL
scripting capabilities.  This package is not needed for writing TCL
scripts, unless you wish to extend the TCL language using C code.

%package source
Group: Development/Languages/Tcl
Summary: Tool Command Language source files for building tcl extensions

%description source
Header files and links to libraries needed to build tcl extensions
such as tk, tclX, tix, and expect.  You should not need this package
unless you need to compile one of these extensions or a similar one.

%prep
%setup -n tcl${RPM_PACKAGE_VERSION}
%patch -p1

%build
cd unix
./configure --prefix=/usr --enable-gcc --disable-shared
make CFLAGS="${RPM_OPT_FLAGS}"
# Move out of the way
# make distclean removes both *.a and libtcl*, hence the double protection
mv -f libtcl%{TCL_MAJOR_VERSION}.a backup-libtcl%{TCL_MAJOR_VERSION}.a.nodel
# Clean up for building shared library (this goes second so that
# tclsh gets linked with the shared library).
make distclean
./configure --prefix=/usr --enable-gcc --enable-shared
make CFLAGS="${RPM_OPT_FLAGS}"
mv -f backup-libtcl%{TCL_MAJOR_VERSION}.a.nodel libtcl%{TCL_MAJOR_VERSION}.a

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/include
mkdir -p ${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/generic
mkdir -p ${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/unix

cd unix
make install INSTALL_ROOT=${RPM_BUILD_ROOT}
install -m 644 libtcl%{TCL_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib
ln -sf libtcl%{TCL_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib/libtcl.a
ln -sf libtcl%{TCL_MAJOR_VERSION}.so ${RPM_BUILD_ROOT}/usr/lib/libtcl.so
ln -sf tclsh%{TCL_MAJOR_VERSION} ${RPM_BUILD_ROOT}/usr/bin/tclsh

# Reinstall tclConfig.sh, changing ${RPM_BUILD_DIR}/tcl8.0
# to /usr/src/tcl8.0
sed -e "s:${RPM_BUILD_DIR}/tcl${RPM_PACKAGE_VERSION}:\
/usr/src/tcl%{TCL_MAJOR_VERSION}:g" \
        < tclConfig.sh > ${RPM_BUILD_ROOT}/usr/lib/tclConfig.sh

cd ..
for f in `find generic/ unix/ -name \*.h -print`; do
        install -m 644 $f \
                ${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/$f
done
install -m 644 unix/Makefile \
	${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/unix/Makefile
ln -sf ../../../lib/tclConfig.sh \
	${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/unix/tclConfig.sh
ln -sf ../../../lib/libtcl%{TCL_MAJOR_VERSION}.a \
        ${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/unix/
ln -sf ../../../lib/libtcl%{TCL_MAJOR_VERSION}.so \
        ${RPM_BUILD_ROOT}/usr/src/tcl%{TCL_MAJOR_VERSION}/unix/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libtcl%{TCL_MAJOR_VERSION}.so
/usr/bin/tclsh
/usr/bin/tclsh%{TCL_MAJOR_VERSION}
/usr/lib/tcl%{TCL_MAJOR_VERSION}
/usr/man/man1/*
/usr/man/mann/*
%doc README changes license.terms

%files devel
/usr/lib/libtcl.so
/usr/lib/libtcl%{TCL_MAJOR_VERSION}.a
/usr/lib/libtcl.a
/usr/include/tcl.h
/usr/lib/tclConfig.sh
/usr/man/man3/*

%files source
/usr/src/tcl%{TCL_MAJOR_VERSION}
